# Package name without php prefix
%define		php_extension	fileinfo
###############################################################
Name:	 	php-%php_extension
Version:	1.0.4
Release:	alt1.1
Group:		System/Servers
License:	PHP Licence

URL:		http://pecl.php.net/package/%{php_extension}
Serial:		1

Prereq:		php-libs >= %php_version-%php_release

BuildRequires(pre): rpm-build-php
BuildRequires: php-devel = %php_version-%php_release, libmagic-devel, file

Summary:	%{php_extension} extension for PHP4

Source0:	php-%php_extension-%version.tar
Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

%description 
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%prep
%setup -q -n php-%php_extension-%version

%build
export CFLAGS="%optflags"

phpize
%configure
%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Sun May 20 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt1.1
- fix a typo in .ini.

* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt1
- first build for Sisyphus.


